int[] vodje = new int[2];
string svodje = Console.ReadLine();
string[] tvodje = svodje.Split(" ");
List<int> nums = new List<int>();
int oneNum;
int nula = 0;
foreach (string s in tvodje)
{
    if (Int32.TryParse(s, out oneNum))
        nums.Add(oneNum);
    vodje[nula] = oneNum;
    nula++;
}
foreach (var item in vodje)
{
    Console.WriteLine(item.ToString());
}

//glasovi

int[] glasovi = new int[vodje[0]];
string sglasovi = Console.ReadLine();
string[] tglasovi = sglasovi.Split(" ");
List<int> nums2 = new List<int>();
nula = 0;
foreach (string s2 in tglasovi)
{
    if (Int32.TryParse(s2, out oneNum))
        nums2.Add(oneNum);
    glasovi[nula] = oneNum;
    nula++;
}
Array.Sort(glasovi);
foreach (var item in glasovi)
{
    Console.WriteLine(item.ToString());
}

//slucajevi

int[] slucajevi = new int[vodje[1]];
string sslucajevi = Console.ReadLine();
string[] tslucajevi = sslucajevi.Split(" ");
List<int> nums3 = new List<int>();
nula = 0;
foreach (string s3 in tslucajevi)
{
    if (Int32.TryParse(s3, out oneNum))
        nums3.Add(oneNum);
    slucajevi[nula] = oneNum;
    nula++;
}
foreach (var item in slucajevi)
{
    Console.WriteLine(item.ToString());
}

nula = 0;
int Medijana = vodje[0] / 2;
Console.Write("Pozicija medijane je: ");
Console.WriteLine(Medijana);
Console.Write("Medijana je: ");
Console.WriteLine(glasovi[Medijana]);
int r = glasovi[Medijana];
int j = 1;
int a = 0;
if (glasovi[Medijana] == slucajevi[nula])
{
    Console.WriteLine("0");
    nula++;
}
else if (glasovi[Medijana] < slucajevi[nula])
{
    while (r < slucajevi[nula])
    {
        int[] glasovi2 = new int[vodje[0] + j];
        glasovi.CopyTo(glasovi2, 1);
        glasovi2[vodje[0] + 1] = 1;
        int Medija2 = (vodje[0]+j) / 2;
        r = glasovi2[Medija2];
        j++;
        a++;
        Console.WriteLine(Medija2);
    }
    Console.WriteLine(a);
}